module(..., package.seeall)


oo = require("oop")

--
--
--
Binding = oo.class({
	__is_empty = true,
	bindings = {},
})


-- returns weather binding is empty
function Binding:get_binding_for(pattern_node_or_pattern_node_name)
	
end

-- returns weather binding is empty
function Binding:is_empty()
	return self.__is_empty
end